cURL
curl --request POST \
--url https://api.maesn.dev/accounting/transactions \
--header 'Content-Type: multipart/form-data' \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>' \
--form 'files=<string>' \
--form 'transaction={
"accountId": "14a6b5e92-a261-4be9-814d-84dec9636c16",
"accountNumber": 4900,
"amount": 100,
"bookingDate": "2025-07-15T00:00:00Z",
"contact": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Hotel for dreamforce",
"journalCode": "31",
"ledgerName": "Payroll",
"reference": "RCXF197253F",
"taxRatePercentage": 19,
"type": "SPEND",
"valueDate": "2025-07-15T00:00:00Z"
}' \
--form files.items='@example-file'import requests
url = "https://api.maesn.dev/accounting/transactions"
files = { "files.items": ("example-file", open("example-file", "rb")) }
payload = {
"files": "<string>",
"transaction": "{
\"accountId\": \"14a6b5e92-a261-4be9-814d-84dec9636c16\",
\"accountNumber\": 4900,
\"amount\": 100,
\"bookingDate\": \"2025-07-15T00:00:00Z\",
\"contact\": \"eaa28f49-6028-4b6e-bb12-d8f6278073fc\",
\"currency\": \"EUR\",
\"description\": \"Hotel for dreamforce\",
\"journalCode\": \"31\",
\"ledgerName\": \"Payroll\",
\"reference\": \"RCXF197253F\",
\"taxRatePercentage\": 19,
\"type\": \"SPEND\",
\"valueDate\": \"2025-07-15T00:00:00Z\"
}"
}
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
form.append('transaction', '{
"accountId": "14a6b5e92-a261-4be9-814d-84dec9636c16",
"accountNumber": 4900,
"amount": 100,
"bookingDate": "2025-07-15T00:00:00Z",
"contact": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Hotel for dreamforce",
"journalCode": "31",
"ledgerName": "Payroll",
"reference": "RCXF197253F",
"taxRatePercentage": 19,
"type": "SPEND",
"valueDate": "2025-07-15T00:00:00Z"
}');
form.append('files.items', '{
"fileName": "example-file"
}');
const options = {
method: 'POST',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
options.body = form;
fetch('https://api.maesn.dev/accounting/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "f733a433-9662-4a40-8e36-e38ebda94fe1",
"accountId": "14a6b5e92-a261-4be9-814d-84dec9636c16",
"accountNumber": 4900,
"amount": 100,
"bookingDate": "2025-07-15T00:00:00Z",
"contact": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Hotel for dreamforce",
"files": [
"file1.pdf"
],
"journalCode": "31",
"ledgerName": "Payroll",
"reference": "RCXF197253F",
"status": "CREATED",
"taskId": "ADB4457839PXTC2220",
"taxRatePercentage": 19,
"type": "SPEND",
"valueDate": "2025-07-15T00:00:00Z"
}
}Transactions
Create transaction
POST
/
accounting
/
transactions
cURL
Field support per integration

DATEV Unternehmen Online
DATEV Unternehmen Online
This endpoints is asynchronous. To check the status of the request, use the
GET asyncTask endpoint.
For more info about asynchronous tasks visit the Asynchronous Task section.If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.Show properties
Show properties
The
id field is the identifier for the transaction.It must match the pattern: ^[a-zA-Z0-9$%&*\+\-/]{0,36}$.The
accountNumber field specifies the general ledger account linked to the transaction.The
currency field supports ISO 4217 (3-letter codes).
For details visits the Standardized Data section.The
description field provides details about the transaction.It cannot exceed 60 characters in length.The
ledgerName field represents the name of the correct ledger folder where the data will be sent to.To get the correct name, you can use the GET Accounts endpoint.The
ledgerName must be of type CASH.The
taxRatePercentage field represents the tax rate applied to the transaction.It must be a positive number.
Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.Show properties
Show properties
The
accountId is the id of the GL account related to the transaction.You can obtain this value by using the GET Accounts endpoint.Available options (3-letter ISO 4217):
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWR
Lexware Office
Lexware Office

sevdesk
sevdesk
Supported request fields:
Show properties
Show properties
The
accountId is the id of the bank account related to the transaction.You can obtain this value by using the GET Bank Accounts endpoint.Available options:
CREATED, LINKED, PRIVATE, BOOKEDLast modified on July 9, 2026
Was this page helpful?
⌘I